nodes/api-scaffolding

Nodes API scaffolding


Keywords
api, scaffolding, nodes
License
MIT

Documentation

API Scaffolding

A package which scaffolds the most common stuff used in a Nodes API project.

Total downloads Monthly downloads Latest release Open issues License Star repository on GitHub Watch repository on GitHub Fork repository on GitHub StyleCI

๐Ÿ“ Introduction

In Nodes we create a lot of API's for our mobile applications.

So to save time, we made this package which scaffolds the most common used controllers, models, repositories, validators etc. that we use in all our projects.

๐Ÿ“ฆ Installation

To install this package you will need:

  • Laravel 5.1+
  • PHP 5.5.9+

You must then modify your composer.json file and run composer update to include the latest version of the package in your project.

"require": {
    "nodes/api-scaffolding": "^1.0"
}

Or you can run the composer require command from your terminal.

composer require nodes/api-scaffolding:^1.0

๐Ÿ”ง Setup

Setup service providers in config/app.php

Nodes\Api\Scaffolding\ServiceProvider::class,

โš™ Usage

Run the Artisan command:

php artisan nodes:api:scaffolding

If you only wish to scaffold the reset password stuff, then you can run the Artisan command:

php artisan nodes:api:reset-password

๐Ÿ† Credits

This package is developed and maintained by the PHP team at Nodes

Follow Nodes PHP on Twitter Tweet Nodes PHP

๐Ÿ“„ License

This package is open-sourced software licensed under the MIT license